Имя пользователя:
Пароль:  
Помощь | Регистрация | Забыли пароль?  | Правила  

Компьютерный форум OSzone.net » Программирование, базы данных и автоматизация действий » Скриптовые языки администрирования Windows » Любой язык - [решено] изменить в дополнении Firefox Mozilla названия пунктов меню

Ответить
Настройки темы
Любой язык - [решено] изменить в дополнении Firefox Mozilla названия пунктов меню

Пользователь


Сообщения: 84
Благодарности: 1

Профиль | Отправить PM | Цитировать


Изменения
Автор: v79italya
Дата: 19-10-2019
Здравствуйте. в Firefox у становил дополнение web_developer. Все работает, но на английском языке. Хотелось бы названия пунктов меню на русском языке. Возможно ли так сделать?
Я пробовал разархивировать и в папке _locales менять названия. Только после этого это дополнение уже в браузер не устанавливалось. Не разбираюсь я в этом вообще.
Firefox 49.0
ссылка на дополнение 2.0.1
https://chrispederick.com/work/web-developer/

Отправлено: 21:40, 18-10-2019

 

Пользователь


Сообщения: 84
Благодарности: 1

Профиль | Отправить PM | Цитировать


Изображения
Тип файла: png 2019-10-20_08h55_22.png
(55.9 Kb, 4 просмотров)

Nordek, спасибо Вам большое. Все просто супер! на мазилле так и не запустил, зато на гуглехром сделалось. добавил папку ру и скопировал джейсон. сначала принимала только цифры, при кириллице все надписи пропадали. потом изменил кодировку на ютф8 без бом и стало видеть и кириллицу. отлично. попробую тем же макаром и Firebug на гуглехром перевести.

Отправлено: 07:03, 20-10-2019 | #11



Для отключения данного рекламного блока вам необходимо зарегистрироваться или войти с учетной записью социальной сети.

Если же вы забыли свой пароль на форуме, то воспользуйтесь данной ссылкой для восстановления пароля.


SHVtYW4=


Contributor


Сообщения: 3474
Благодарности: 1167

Профиль | Отправить PM | Цитировать


Цитата v79italya:
на мазилле так и не запустил »
Проверял в Firefox ESR и PaleMoon - Работает.
Firefox ESR обязательна. Также в Firefox ESR необходимо отркрыть about:config, затем у параметра xpinstall.signatures.required перевести значение в положение false. Информация.

Можете проверить в PaleMoon.
В PaleMoon - У параметра xpinstall.signatures.required по умолчанию установлено значение в false, что значит не должно наблюдаться недоразумений с установкой дополнений (Если только версия дополнения несовместима с версией вашего браузера).

Только увидел, и вы не написали ничего (Молчите как партизан). В ESR версиях 60.9.0 и 68.1.0 работать не будет

-------
09a468a9b4293cd82adf6d6c60a9da82


Последний раз редактировалось Nordek, 20-10-2019 в 18:29. Причина: Ссылки: Информация и Palemoon

Это сообщение посчитали полезным следующие участники:

Отправлено: 14:23, 20-10-2019 | #12


Пользователь


Сообщения: 84
Благодарности: 1

Профиль | Отправить PM | Цитировать


Цитата Nordek:
68.1.0 работать не будет »
вот как. а я как раз эту версию и поставил на комп, на нетбуке версию не менял. позже на компе попробую на другой версии.
Цитата Nordek:
не написали ничего (Молчите как партизан) »
о чем я умолчал? вроде все сказал..

Отправлено: 16:16, 20-10-2019 | #13


SHVtYW4=


Contributor


Сообщения: 3474
Благодарности: 1167

Профиль | Отправить PM | Цитировать


Вложения
Тип файла: txt link.txt
(292 байт, 1 просмотров)

Цитата v79italya:
вроде все сказал.. »
Из сообщения #2 понятно что используется Firefox версии 49.0. Также на сколько помню вы прикрепляли к сообщению дополнение web_developer-1.2.5-smfx.xpi.
Из сообщения #4 по скриншоту можно лишь предположить что: На переднем плане старая версия браузера, на заднем плане новая версия браузера.
Из сообщения #5 выясняется что вы используете ещё Google Chrome. Mozilla Firefox остаётся 49.0. Также используете дополнение версии 2.0.1 т.к версия 1.2.5 не установилась (По этому могу предположить что вы используете не ESR браузер, либо новую версию - Дополнение которое не подходит к новой версиии браузера.).
В сообщении #11 на скриншоте Google Chrome.
Наконец в сообщении #13 выясняется что используете Mozilla Firefox версии 68.1.0.
По Mozilla Firefox 68.1.0 можно предположить что вы используете что-либо из Windows 7/Windows 8.1/Windows 10. На скриноте Windows 7 (Это тоже играет роль, например в Windows XP можно установить Firefox лишь версии 52.9.0 ESR).



Чтоб в Firefox использовать Web Developer вам понадобится:
Либо установить Firefox 52.9.0 ESR - Ссылку на который предоставлял в сообщении #8:
Mozilla Firefox 52.9.0 ESR
Mozilla Firefox 52.9.0 ESR (RU) x86
Mozilla Firefox 52.9.0 ESR (RU) x64

Для установки расширений необходимо отркрыть about:config, затем у параметра xpinstall.signatures.required перевести значение в положение false

Либо PaleMoon (Лучше PaleMoon, Firefox 52.9.0 ESR устарел.).

Также понадобится Web Developer версии 1.2.5 или 1.2.13 - Сможете изменить ресурсы без хитростей.
Выше прикрепил link.txt в котором содержатся ссылки.

В версии 2.0.1 не получится - Мне не понятно как править ресурсы, выяснил лишь что высчитывание хеша MD5-Digest и SHA1-Digest (Которые вносил после изменения файлов) не достаточно, далее не стал углубляться (лень).

-------
09a468a9b4293cd82adf6d6c60a9da82


Последний раз редактировалось Nordek, 20-10-2019 в 19:51.

Это сообщение посчитали полезным следующие участники:

Отправлено: 19:46, 20-10-2019 | #14


Пользователь


Сообщения: 84
Благодарности: 1

Профиль | Отправить PM | Цитировать


Nordek, насчет браузеров: основных три - гугл хром, мазилла и опера. гугл хром считаю быстрым, в опере есть впн для блокированных сайтов и ютуба, а мазилла удобен для изучения html и css(как оказалось, в гугле хром тоже много удобного). установил недели две назад Firefox Developer Edition (пробовал установить русскую Web Developer). еще постоянно в придачу к чему то устанавливается и потом удаляется яндекс-браузер. есть где то и ие. это все на нетбуке(виндовс7). так же на компе(виндовс10) установил Firefox 68.1.0 для Web Developer.ru.
почему на нетбуке версия мазиллы 49? потому что установишь 52.0, а потом не могу установить firebug. мне надо и Web Developer и firebug. я уже путаюсь в этих установщиках. столько их накачал.
теперь еще попробую и бледнолицую луну)
Цитата Nordek:
В версии 2.0.1 не получится »
и не надо. Вы и так много сделали. меня устраивает Web Developer_ру в гугле хром.
позже установлю PaleMoon, Firefox 52.9.0 ESR и попробую на них все это дело. отпишусь
установил Firefox 52.9.0 ESR на компе. Web Developer тоже установилось. только мне больше нравится Web Developer на гугл-хроме. привык к этому браузеру. Palemoon так и не устанавливал.
Спасибо Всем за решение проблемы

Последний раз редактировалось v79italya, 03-11-2019 в 19:26.


Отправлено: 22:31, 20-10-2019 | #15



Компьютерный форум OSzone.net » Программирование, базы данных и автоматизация действий » Скриптовые языки администрирования Windows » Любой язык - [решено] изменить в дополнении Firefox Mozilla названия пунктов меню

Участник сейчас на форуме Участник сейчас на форуме Участник вне форума Участник вне форума Автор темы Автор темы Шапка темы Сообщение прикреплено

Похожие темы
Название темы Автор Информация о форуме Ответов Последнее сообщение
Интерфейс - уменьшение пунктов контекстного меню aka_smile Microsoft Windows 10 1 06-10-2015 07:58
Система - [решено] Удаление пунктов контекстного меню Слон в гостинной Программное обеспечение Windows 2 16-10-2013 02:32
Интерфейс - Удаление ненужных пунктов из контекстного меню laslo1405 Microsoft Windows 7 6 26-08-2013 11:37
Интерфейс - Время отображения пунктов сокращенного меню Пуск Newser Microsoft Windows 2000/XP 0 01-09-2011 21:38
Удаление пунктов меню. andreyxp Microsoft Windows 2000/XP 2 16-08-2006 23:35




 
Переход